Overview | Package | Class | Tree | Deprecated | Index | Help
| Protege 3.5 alpha
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## edu.stanford.smi.protege.server.metaproject.impl
Class OperationImpl

    java.lang.Object
      edu.stanford.smi.protege.server.metaproject.impl.WrappedProtegeInstanceImpl
          edu.stanford.smi.protege.server.metaproject.impl.OperationImpl

All Implemented Interfaces:
  Localizable, Operation, Serializable

    public class OperationImpl

extends WrappedProtegeInstanceImpl
implements Operation, Serializable

See Also:
  Serialized Form

Field Summary
`static Operation` | `ONTOLOGY_TAB_READ` Deprecated. - Use constants from `MetaProjectConstants`
`static Operation` | `ONTOLOGY_TAB_WRITE` Deprecated. - Use constants from `MetaProjectConstants`
`static Operation` | `PROPERTY_TAB_READ` Deprecated. - Use constants from `MetaProjectConstants`
`static Operation` | `PROPERTY_TAB_WRITE` Deprecated. - Use constants from `MetaProjectConstants`
`static Operation` | `READ` Deprecated. - Use constants from `MetaProjectConstants`
`static Operation` | `WRITE` Deprecated. - Use constants from `MetaProjectConstants`

Constructor Summary
`protected` | `OperationImpl(MetaProjectImpl mp, Instance op)`

Method Summary
`void` | `addPropertyValue(PropertyValue propertyValue)`
`boolean` | `equals(Object o)`
`String` | `getDescription()`
`String` | `getName()`
`Set<PropertyValue>` | `getPropertyValues()`
`int` | `hashCode()`
`void` | `setDescription(String description)`
`void` | `setName(String name)`
`void` | `setPropertyValues(Collection<PropertyValue> propertyValues)`
`String` | `toString()`

Methods inherited from class edu.stanford.smi.protege.server.metaproject.impl.WrappedProtegeInstanceImpl
`addSlotValue, getCls, getMetaProject, getProtegeCollection, getProtegeInstance, getSlotValue, getSlotValues, localize, removeSlotValue, setSlotValue, setSlotValuesAsProtegeInstances`

Methods inherited from class java.lang.Object
`clone, finalize, getClass, notify, notifyAll, wait, wait, wait`

Field Detail

### READ

    @Deprecated
    public static final Operation READ

  Deprecated. - Use constants from `MetaProjectConstants`

### WRITE

    @Deprecated
    public static final Operation WRITE

  Deprecated. - Use constants from `MetaProjectConstants`

### PROPERTY_TAB_READ

    @Deprecated
    public static final Operation PROPERTY_TAB_READ

  Deprecated. - Use constants from `MetaProjectConstants`

### PROPERTY_TAB_WRITE

    @Deprecated
    public static final Operation PROPERTY_TAB_WRITE

  Deprecated. - Use constants from `MetaProjectConstants`

### ONTOLOGY_TAB_READ

    @Deprecated
    public static final Operation ONTOLOGY_TAB_READ

  Deprecated. - Use constants from `MetaProjectConstants`

### ONTOLOGY_TAB_WRITE

    @Deprecated
    public static final Operation ONTOLOGY_TAB_WRITE

  Deprecated. - Use constants from `MetaProjectConstants`

Constructor Detail

### OperationImpl

    protected OperationImpl(MetaProjectImpl mp,
                            Instance op)

Method Detail

### getName

    public String getName()

  Specified by:
    `getName` in interface `Operation`

### equals

    public boolean equals(Object o)

  Overrides:
    `equals` in class `WrappedProtegeInstanceImpl`

### hashCode

    public int hashCode()

  Overrides:
    `hashCode` in class `WrappedProtegeInstanceImpl`

### toString

    public String toString()

  Overrides:
    `toString` in class `WrappedProtegeInstanceImpl`

### setName

    public void setName(String name)

  Specified by:
    `setName` in interface `Operation`

### getDescription

    public String getDescription()

  Specified by:
    `getDescription` in interface `Operation`

### setDescription

    public void setDescription(String description)

  Specified by:
    `setDescription` in interface `Operation`

### getPropertyValues

    public Set<PropertyValue> getPropertyValues()

  Specified by:
    `getPropertyValues` in interface `Operation`

### setPropertyValues

    public void setPropertyValues(Collection<PropertyValue> propertyValues)

  Specified by:
    `setPropertyValues` in interface `Operation`

### addPropertyValue

    public void addPropertyValue(PropertyValue propertyValue)

  Specified by:
    `addPropertyValue` in interface `Operation`

Overview | Package | Class | Tree | Deprecated | Index | Help
| Protege 3.5 alpha
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Submit a bug report or feature request
Protégé is a trademark of Stanford University.
Copyright (c) 1998-2012 Stanford University.